import request from "@/utils/request";
import { TypeDocDTO } from "@/types/DTO/webDocDTO";

// 获取文档列表
export const getDocList = (query: Record<string, any>) => {
  return request<RespondPageType<TypeDocDTO>>({
    url: "/webconf/doc/list",
    method: "get",
    params: query,
  });
};
// 获取文档详情
export const getDocInfo = (data: number) => {
  return request<RespondDataType<TypeDocDTO>>({
    url: "/webconf/doc/" + data,
    method: "get",
  });
};

// 新增
export const saveDoc = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/webconf/doc/add",
    method: "post",
    data: data,
  });
};

// 修改
export const updateDoc = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/webconf/doc/upd",
    method: "post",
    data: data,
  });
};

// 删除
export const deleteDoc = (data: number | number[]) => {
  return request<RespondDataType>({
    url: "/webconf/doc/" + data,
    method: "delete",
  });
};
